export declare const TRIP_STATUS: {
    OFFERED: string;
    UNFULFILLED: string;
    ACCEPTED: string;
    ACCEPTING: string;
    FAILED: string;
    COMPLETED: string;
    CANCELLED: string;
    EXPIRED: string;
    CONFLICT: string;
    PENDING_REVIEW: string;
};
export declare const TRIP_STATUS_UX: {
    OFFERED: {
        color: string;
        outlined: boolean;
        dark: boolean;
        tooltip: string;
        vip: {
            color: string;
            outlined: boolean;
            dark: boolean;
            icon: string;
            tooltip: string;
        };
    };
    UNFULFILLED: {
        color: string;
        outlined: boolean;
        dark: boolean;
        tooltip: string;
    };
    ACCEPTED: {
        color: string;
        outlined: boolean;
        dark: boolean;
        tooltip: string;
    };
    ACCEPTING: {
        color: string;
        outlined: boolean;
        dark: boolean;
        tooltip: string;
    };
    FAILED: {
        color: string;
        outlined: boolean;
        tooltip: string;
    };
    COMPLETED: {
        color: string;
        outlined: boolean;
        dark: boolean;
        tooltip: string;
    };
    CANCELLED: {
        color: string;
        outlined: boolean;
        dark: boolean;
        tooltip: string;
    };
    EXPIRED: {
        color: string;
        outlined: boolean;
        dark: boolean;
        tooltip: string;
    };
    CONFLICT: {
        color: string;
        outlined: boolean;
        dark: boolean;
        tooltip: string;
    };
    ACTIVE: {
        color: string;
        outlined: boolean;
        dark: boolean;
        tooltip: string;
    };
    PENDING_REVIEW: {
        color: string;
        outlined: boolean;
        dark: boolean;
        tooltip: string;
    };
};
