"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TRIP_STATUS_UX = exports.TRIP_STATUS = void 0;
exports.TRIP_STATUS = {
    OFFERED: "OFFERED",
    UNFULFILLED: "UNFULFILLED",
    ACCEPTED: "ACCEPTED",
    ACCEPTING: "ACCEPTING",
    FAILED: "API_FAILED",
    COMPLETED: "COMPLETED",
    CANCELLED: "CANCELLED",
    EXPIRED: "EXPIRED",
    CONFLICT: "CONFLICT",
    PENDING_REVIEW: "PENDING_REVIEW"
};
exports.TRIP_STATUS_UX = {
    OFFERED: {
        color: "#00fa9a", outlined: false, dark: false, tooltip: "",
        vip: { color: "yellow", outlined: false, dark: false, icon: "mdi-medal-outline", tooltip: "VIP Offer" }
    },
    UNFULFILLED: { color: "red", outlined: true, dark: true, tooltip: "" },
    ACCEPTED: { color: "green", outlined: true, dark: true, tooltip: "" },
    ACCEPTING: { color: "#844beb", outlined: true, dark: false, tooltip: "" },
    FAILED: { color: "red", outlined: true, tooltip: "" },
    COMPLETED: { color: "grey", outlined: false, dark: true, tooltip: "" },
    CANCELLED: { color: "pink", outlined: false, dark: true, tooltip: "" },
    EXPIRED: { color: "red", outlined: true, dark: true, tooltip: "" },
    CONFLICT: { color: "orange", outlined: false, dark: false, tooltip: "" },
    ACTIVE: { color: "", outlined: true, dark: false, tooltip: "" },
    PENDING_REVIEW: { color: "orange", outlined: false, dark: false, tooltip: "Requires review" },
};
//# sourceMappingURL=trip_status.js.map