export interface IDialogs {
    alert(title: string, message: string): Promise<any>;
    confirm(title: string, message: string, showReason: boolean): Promise<any>;
}
export declare class ConsoleDialog implements IDialogs {
    alert(title: string, message: string): Promise<unknown>;
    confirm(title: string, message: string, showReason: boolean): Promise<any>;
}
export declare var instance: IDialogs;
export declare function init(dlgs: IDialogs): void;
