"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.init = exports.instance = exports.ConsoleDialog = void 0;
class ConsoleDialog {
    alert(title, message) {
        return new Promise((resolve, reject) => {
            console.log({ method: "DIALOG.alert", title: title, message: message });
            resolve(true);
        });
    }
    confirm(title, message, showReason) {
        return new Promise((resolve, reject) => {
            console.log({ method: "DIALOG.confirm", title: title, message: message, showReason: showReason });
            resolve({ response: true, reason: "dummy reason" });
        });
    }
}
exports.ConsoleDialog = ConsoleDialog;
exports.instance = new ConsoleDialog();
function init(dlgs) {
    exports.instance = dlgs;
}
exports.init = init;
//# sourceMappingURL=dialogs.js.map