import { Api } from "../api";
import { Helper } from "../helper";
import { Destination } from "../model/nested/destination";
export declare class LegBase {
    api: Api;
    helper: Helper;
    calltypes: any[];
    priorities: any[];
    variables: any[];
    isTransportProvider: boolean;
    constructor();
    get TRIP_STATUS(): any;
    get TRIP_STATES(): any;
    getState(seconds: number, status: string): string;
    refreshCallTypes(params?: any): Promise<any>;
    refreshPriorities(params?: any): Promise<any>;
    refreshVariables(params?: any): Promise<unknown>;
    statusUX(status: string): any;
    statusColor(status: string): any;
    statusOutline(status: string): any;
    statusDark(status: string): any;
    getEventUX(item: any): any;
    copyDestination(target: Destination, source: Destination, includeDT?: boolean): void;
}
