import { Completion } from "../model/nested/completion";
import { Trip } from "../model/trip";
import { LegBase } from "./legbase";
export declare class TripHelper extends LegBase {
    constructor();
    performAction(leg: any, action: string, actionDisplay: string, reason?: string): Promise<any>;
    review(trip_id: number): Promise<any>;
    resubmit(item: any, offer_to: number[], exclusive: boolean): Promise<any>;
    tripPendingReview(leg: Trip): boolean;
    hasPendingReview(properties: any): boolean;
    maybeReview(leg: any): Promise<any>;
    accept(leg: any): Promise<any>;
    decline(leg: any, reason?: string): Promise<any>;
    cancel(leg: any, reason?: string): Promise<any>;
    unableToService(leg: any, reason?: string): Promise<any>;
    unableToComplete(leg: any, reason?: string): Promise<any>;
    pickUpDisplay(trip: any): string;
    addComment(trip_id: number, comment: string): Promise<any>;
    isOneWay(trip: any): boolean;
    isRoundTrip(trip: any): boolean;
    isMultiLeg(trip: any): boolean;
    isFailed(trip: any): boolean;
    isExpired(trip: any): boolean;
    isUnfulfilled(trip: any): boolean;
    isBlocked(trip: any): boolean;
    isCancelled(trip: any): boolean;
    isCompleted(trip: any): boolean;
    isFinalState(trip: any): boolean;
    isOffered(leg: any): boolean;
    isAccepted(leg: any): boolean;
    isAccepting(leg: any): boolean;
    isVipOffer(item: any): boolean;
    canAccept(leg: any): boolean;
    canResubmit(leg: any): boolean;
    canDecline(leg: any): boolean;
    canCancel(leg: any): boolean;
    canRate(leg: any): boolean;
    canComplete(leg: any): boolean;
    private canDoIt;
    canUnableToService(leg: any): boolean;
    canUnableToComplete(leg: any): boolean;
    canEdit(leg: any): boolean;
    canReview(leg: any): boolean;
    isReturnLeg(leg: any): boolean;
    canPerformAction(leg: string, status: string, type: string, action: string): any;
    needsReview(leg: any): boolean;
    getCompletion(properties: any): Completion;
    setDispatchVariables(leg: Trip): Promise<any>;
    updateTripPropsFromDetail(trip: any): void;
    copyDispatchDetails(leg: Trip, trip: any): Trip;
    itineraryTripsForTransporter(itinerary_id: Number, start: number, limit: number, filters?: any[]): Promise<any>;
    tripForTransporter(trip_id: number): Promise<any>;
    itineraryTripsForCarer(itinerary_id: Number, start: number, limit: number, filters?: any[]): Promise<any>;
    read(trip_id: number): Promise<any>;
    readAll(itinerary_id: number, start: number, limit: number, filters?: any[]): Promise<any>;
    transporterJourneyLegs(trip_id: number): Promise<any>;
    carerJourneyLegs(trip_id: number): Promise<any>;
    journeyLegs(trip: number): Promise<any>;
    statusChip(item: any): any;
}
