import { ServiceAPI } from '../serviceapi';
import { Entity } from './entity';
export declare class Market implements Entity {
    created?: string;
    deleted?: string;
    modified?: string;
    entity_type: string;
    private market_id;
    private market_owner_id;
    private market_name;
    private market_type;
    private market_status;
    properties: Market.Properties;
    constructor();
    upgrade(): void;
    get id(): number;
    set id(value: number);
    get name(): string;
    set name(value: string);
    get type(): string;
    set type(value: string);
    get company_id(): number;
    set company_id(value: number);
}
export declare namespace Market {
    class Properties {
        default_escalation_time: number;
        default_booking_use_questions: boolean;
        constructor();
    }
}
export declare let marketservice: ServiceAPI<Market>;
