import { ServiceAPI } from '../serviceapi';
import { Entity } from './entity';
export declare class MarketCompany implements Entity {
    created?: string;
    deleted?: string;
    modified?: string;
    entity_type: string;
    market_company_id: number;
    market_member_id: number;
    market_id: number;
    market_company_name: string;
    market_company_type: string;
    market_company_status: string;
    company_name: string;
    company_status: string;
    properties: MarketCompany.Properties;
    constructor();
    upgrade(): void;
    get id(): number;
    set id(value: number);
    get reference(): string;
    set reference(value: string);
    get type(): string;
    set type(value: string);
    get status(): string;
    set status(value: string);
    get company_id(): number;
    set company_id(value: number);
}
export declare namespace MarketCompany {
    class Properties {
        constructor();
    }
}
export declare let marketcompanyservice: ServiceAPI<MarketCompany>;
