import { IFrom } from '../../helper';
export declare class TimeZone {
    id: string;
    nameDst: string;
    name: string;
    offset: Number | null;
}
export declare class DateTime implements IFrom {
    private time_of_day;
    private day;
    epoch: Number;
    tz: TimeZone;
    constructor();
    from(source: any): void;
    set datetime(value: string);
    setTimeZoneFromApiRec(apiRec: any): void;
    get timezone(): string;
    set timezone(value: string);
    get datetime(): string;
    get time(): string;
    set time(value: string);
    get date(): string;
    set date(value: string);
    private setEpoch;
}
