"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServiceLevel = void 0;
class ServiceLevel {
    constructor() {
        this.enabled = false;
        this.pu_not_earlier_than = '';
        this.pu_not_later_than = '';
        this.doff_not_earlier_than = '';
        this.doff_not_later_than = '';
        this.enabled = false;
        this.setDefault();
    }
    get valid() {
        return this.enabled ? (this.pu_not_earlier_than != '' &&
            this.pu_not_later_than != '' &&
            this.doff_not_earlier_than != '' &&
            this.doff_not_later_than != '') : true;
    }
    setDefault() {
        this.pu_not_earlier_than = '30';
        this.pu_not_later_than = '30';
        this.doff_not_earlier_than = '30';
        this.doff_not_later_than = '30';
    }
}
exports.ServiceLevel = ServiceLevel;
//# sourceMappingURL=service_level.js.map