"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CareProviderNotification = exports.TransportProviderNotification = exports.AuthorizationNotification = exports.Notification = void 0;
class Notification {
    constructor() {
        this.logins = undefined;
        this.type = undefined;
        this.templateId = undefined;
        this.type = "EMAIL";
        this.logins = [];
        this.templateId = "";
    }
}
exports.Notification = Notification;
class AuthorizationNotification {
    constructor() {
        this.onAuthorize = undefined;
        this.onAuthorize = new Notification();
    }
}
exports.AuthorizationNotification = AuthorizationNotification;
class TransportProviderNotification {
    constructor() {
        this.onOffer = undefined;
        this.onCancelled = undefined;
        this.onStatusUpdate = undefined;
        this.onAcceptConfirmation = undefined;
        this.onOffer = new Notification();
        this.onCancelled = new Notification();
        this.onStatusUpdate = new Notification();
        this.onAcceptConfirmation = new Notification();
    }
}
exports.TransportProviderNotification = TransportProviderNotification;
class CareProviderNotification {
    constructor() {
        this.onUnfulfilled = undefined;
        this.onCancelled = undefined;
        this.onStatusUpdate = undefined;
        this.onUnfulfilled = new Notification();
        this.onCancelled = new Notification();
        this.onStatusUpdate = new Notification();
    }
}
exports.CareProviderNotification = CareProviderNotification;
//# sourceMappingURL=notification.js.map