import { ServiceAPI } from '../serviceapi';
import { Entity } from './entity';
export declare class TripLog implements Entity {
    created?: string;
    deleted?: string;
    modified?: string;
    entity_type: string;
    trip_log_id: number;
    trip_log_itinerary_id: number;
    trip_log_trip_id: number;
    trip_log_identity_id: number;
    trip_log_type: string;
    trip_log_status: string;
    trip_log_session: string;
    trip_log_comment: string;
    constructor();
    upgrade(): void;
    get id(): number;
    set id(value: number);
}
export declare let TripLogService: ServiceAPI<TripLog>;
