Usage
=====

Before the tests can be used it is necessary to add `admin-api.acc.com` to `/etc/hosts` resolving to localhost and a copy of `trip-service` must be running locally.
It is also necessary to install the `trip-service` jars locally by running `./mvnw clean install` in a local copy of `trip-service`.
Once `trip-service` has been installed run `yarn start_server` to spawn a copy of the trip service locally if you do not have one running. It is also possible to run `yarn start_server --foreground` to stop the server from being run in the background.
Any background server will log to `log/server.log`

Instead of using `admin-api.acc.com` it is also possible to set the environment variable `TRIP_SERVER` to point to the name a given server and that will be used instead.
