export declare const DISTANCE_UNITS: {
    MI: string;
    KM: string;
};
export declare const WEIGHT_UNITS: {
    LB: string;
    KG: string;
};
export declare const HEIGHT_UNITS: {
    INCHES: string;
    MM: string;
};
export declare class Calculations {
    static round2(num: number): number;
    static m2mi(num: number): number;
    static m2km(num: number): number;
    static km2mi(num: number): number;
    static mi2km(num: number): number;
    static kg2lb(num: number): number;
    static lb2kg(num: number): number;
    static mm2in(num: number): number;
    static in2mm(num: number): number;
    static convertHeight(value: number, targetunit: string, priorunit?: string): Number;
    static convertWeight(value: number, targetunit: string, priorunit?: string): Number;
    static convertDistance(value: number, targetunit: string, priorunit?: string): Number;
}
