import { Address } from "./nested/address";
import { Contact } from "./nested/contact";
import { ServiceAPI } from '../serviceapi';
import { Entity } from './entity';
export declare class Facility implements Entity {
    created?: string;
    deleted?: string;
    modified?: string;
    entity_type: string;
    private facility_id;
    private facility_company_id;
    facility_type_lov_id: number;
    private facility_name;
    private facility_status;
    properties: Facility.Properties;
    constructor();
    upgrade(): void;
    get id(): number;
    set id(value: number);
    get name(): string;
    set name(value: string);
    get company_id(): number;
    set company_id(value: number);
}
export declare namespace Facility {
    class Properties {
        quick_code?: string;
        external_code?: string;
        address: Address;
        primary: Contact;
        constructor();
    }
}
export declare let facilityservice: ServiceAPI<Facility>;
