"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.marketcompanyservice = exports.MarketCompany = void 0;
const class_validator_1 = require("class-validator");
const serviceapi_1 = require("../serviceapi");
class MarketCompany {
    constructor() {
        // Important !! so server knows what type this is
        this.entity_type = 'market_company';
        this.market_company_id = -1;
        this.market_id = -1;
        this.market_member_id = -1;
        this.market_company_name = '';
        this.market_company_type = '';
        this.market_company_status = 'ACTIVE';
        this.company_name = '';
        this.company_status = '';
        this.created = undefined;
        this.deleted = undefined;
        this.modified = undefined;
        this.properties = new MarketCompany.Properties();
    }
    upgrade() {
    }
    get id() {
        return this.market_company_id;
    }
    set id(value) {
        this.market_company_id = value;
    }
    get reference() {
        return this.market_company_name;
    }
    set reference(value) {
        this.market_company_name = value;
    }
    get type() {
        return this.market_company_type;
    }
    set type(value) {
        this.market_company_type = value;
    }
    get status() {
        return this.market_company_status;
    }
    set status(value) {
        this.market_company_status = value;
    }
    get company_id() {
        return this.market_member_id || -1;
    }
    set company_id(value) {
        this.market_member_id = value;
    }
}
__decorate([
    class_validator_1.ValidateNested()
], MarketCompany.prototype, "properties", void 0);
exports.MarketCompany = MarketCompany;
(function (MarketCompany) {
    class Properties {
        constructor() {
        }
    }
    MarketCompany.Properties = Properties;
})(MarketCompany = exports.MarketCompany || (exports.MarketCompany = {}));
exports.marketcompanyservice = new serviceapi_1.ServiceAPI("market_company");
//# sourceMappingURL=market_company.js.map