declare enum DistanceUnit {
    mile = 1,
    kilometer = 2
}
export declare class Pricing {
    base_rate: number;
    per_unit_rate: number;
    unit: DistanceUnit;
    free_units: number;
    rates: any[];
    addRate(id: number, type: string, code: string, name: string, amount: number, ptype: string, punit: string, poperator: string, pamount: string, pamount2: string, displaytype: string, lov_id: number): any;
    get ratesWithInputValues(): any[];
}
export declare class JobDetail {
    types: any[];
    variable: any[];
    priorities: any[];
    priorities_lov_id: number[];
    variables_lov_id: number[];
    types_lov_id: number[];
    pricing: Pricing;
    constructor();
    get typesSummary(): string;
    get prioritiesSummary(): string;
    get nonDispatchVariables(): any[];
    get timeBasedParams(): any[];
    get noTimeBasedParams(): any[];
    paramIsTimeBased(item: any): boolean;
    includeTimeBasedParams(items: any[]): any[];
    excludeTimeBasedParams(items: any[]): any[];
    from(): void;
    private addType;
    delType(item: any, list: any[]): void;
    addCallType(item: any): void;
    addPriority(item: any): void;
    addVariable(item: any): void;
    delCallType(item: any): void;
    delPriority(item: any): void;
    delVariable(item: any): void;
    clearCallTypes(): void;
    clearPriorities(): void;
    clearVariables(): void;
    clear(): void;
}
export {};
