import { DateTime } from "./datetime";
import { IFrom } from '../../helper';
export declare const RECURRING_SELECTORS: {
    M2F: string;
    MWF: string;
    TH: string;
    THS: string;
    CUSTOM: string;
    NONE: string;
};
export declare const RECURRING_OFFER_INTERVAL: {
    SINGLE: string;
    MONTHLY: string;
    FORTNIGHTLY: string;
    WEEKLY: string;
};
export declare const RECURRING_DAY_OPTIONS: string[];
export declare class Recurrence implements IFrom {
    private is_recurring;
    private selector;
    offer_interval: string;
    days: any;
    times: any;
    start_dt: DateTime;
    end_dt: DateTime;
    cron: string;
    constructor();
    get isRecurring(): boolean;
    from(source: any): void;
    defaultDays(): void;
    defaultTime(option: string): void;
    setCron(): void;
    get sunday(): string;
    set sunday(value: string);
    get monday(): string;
    set monday(value: string);
    get tuesday(): string;
    set tuesday(value: string);
    get wednesday(): string;
    set wednesday(value: string);
    get thursday(): string;
    set thursday(value: string);
    get friday(): string;
    set friday(value: string);
    get saturday(): string;
    set saturday(value: string);
    get sundayTime(): string;
    set sundayTime(value: string);
    get mondayTime(): string;
    set mondayTime(value: string);
    get tuesdayTime(): string;
    set tuesdayTime(value: string);
    get wednesdayTime(): string;
    set wednesdayTime(value: string);
    get thursdayTime(): string;
    set thursdayTime(value: string);
    get fridayTime(): string;
    set fridayTime(value: string);
    get saturdayTime(): string;
    set saturdayTime(value: string);
    get daySelector(): string;
    set daySelector(value: string);
}
