import { ServiceAPI } from '../serviceapi';
import { Entity } from './entity';
export declare class Provider implements Entity {
    created?: string;
    deleted?: string;
    modified?: string;
    entity_type: string;
    private provider_id;
    private provider_name;
    private provider_type;
    properties: Provider.Properties;
    constructor();
    upgrade(): void;
    get id(): number;
    set id(value: number);
    get name(): string;
    set name(value: string);
    get type(): string;
    set type(value: string);
}
export declare namespace Provider {
    class Properties {
        directories?: string[];
        constructor();
    }
}
export declare let providerservice: ServiceAPI<Provider>;
