"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TripLogService = exports.TripLog = void 0;
const serviceapi_1 = require("../serviceapi");
class TripLog {
    constructor() {
        // Important !! so server knows what type this is
        this.entity_type = 'trip_log';
        this.trip_log_id = -1;
        this.trip_log_itinerary_id = -1;
        this.trip_log_trip_id = -1;
        this.trip_log_identity_id = -1;
        this.trip_log_type = '';
        this.trip_log_status = '';
        this.trip_log_session = '';
        this.trip_log_comment = '';
        this.created = undefined;
        this.deleted = undefined;
        this.modified = undefined;
    }
    upgrade() {
    }
    get id() {
        return this.trip_log_id;
    }
    set id(value) {
        this.trip_log_id = value;
    }
}
exports.TripLog = TripLog;
exports.TripLogService = new serviceapi_1.ServiceAPI("trip_log");
//# sourceMappingURL=triplog.js.map