export declare const TRIP_STATUS: {
    OFFERED: string;
    UNFULFILLED: string;
    ACCEPTED: string;
    ALLOCATED: string;
    FAILED: string;
    COMPLETED: string;
    CANCELLED: string;
};
export declare const TRIP_STATES: {
    OK: string;
    IN_PROGRESS: string;
    OVERDUE: string;
    LATE: string;
    API_ERROR: string;
};
export declare class TripHelper {
    get TRIP_STATUS(): any;
    get TRIP_STATES(): any;
    getState(seconds: number, status: string): string;
    isFailed(trip: any): boolean;
    isCancelled(trip: any): boolean;
    isCompleted(trip: any): boolean;
    isFinalState(trip: any): boolean;
    isOffered(leg: any): boolean;
    isAccepted(leg: any): boolean;
    isAllocated(leg: any): boolean;
    canCancel(leg: any): boolean;
    canRate(leg: any): boolean;
    canComplete(leg: any): boolean;
    canUnableToService(leg: any): boolean;
    canEdit(leg: any, isTransportProvider: boolean): boolean;
    isReturnLeg(leg: any): boolean;
}
